<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/background"
    android:orientation="vertical"
    tools:context=".networksettings.GetCloseToSpaWithin10Feet">

    <include layout="@layout/row_toolbar" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <TextView
            android:id="@+id/tvHeaderAccount"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:gravity="center_horizontal"
            android:text="@string/account_setup"
            android:textColor="@android:color/white"
            android:textSize="24sp"
            android:visibility="gone" />

        <TextView
            android:id="@+id/tvHeaderWiFi"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:gravity="center_horizontal"
            android:text="@string/wifi_setup"
            android:textColor="@android:color/white"
            android:textSize="24sp"
            android:visibility="gone" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="16dp"
            android:text="@string/choose_an_available_network"
            android:textColor="@android:color/white"
            android:textSize="18sp" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginStart="16dp"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical">

            <ProgressBar
                android:id="@+id/pbWifi"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:layout_gravity="center" />

            <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
                android:id="@+id/btn_refresh"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <ListView
                    android:id="@+id/lvWiFiList"
                    android:layout_width="match_parent"
                    tools:listitem="@layout/row_wifi_list"
                    android:layout_height="wrap_content" />
            </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>


        </RelativeLayout>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:gravity="center_horizontal"
            android:text="@string/manual_network"
            android:textColor="@android:color/white"
            android:textSize="18sp" />

        <Button
            android:id="@+id/btnAction"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="8dp"
            android:layout_marginBottom="@dimen/margin_medium"
            android:background="@drawable/button_background"
            android:minHeight="@dimen/button_minheight"
            android:padding="8dp"
            android:text="@string/advance_settings"
            android:textAllCaps="false"
            android:textColor="@android:color/white" />

    </LinearLayout>
</LinearLayout>
